<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net10.0</TargetFramework>
    <ImplicitUsings>enable</ImplicitUsings>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="Grpc.AspNetCore" />
    <PackageReference Include="Grpc.AspNetCore.Server.Reflection" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\..\..\Core\Baya.Application\Baya.Application.csproj" />
  </ItemGroup>

	<ItemGroup>
		<Protobuf Include="ProtoModels\UserGrpcServiceModels.proto" GrpcServices="Server" />
	</ItemGroup>

	
	<ItemGroup>
		<FrameworkReference Include="Microsoft.AspNetCore.App" />
	</ItemGroup>	
</Project>
